Skip to content
WP EngineDocumentation

List certificates

GET
/installs/{install_id}/ssl_certificates
curl --request GET \
--url 'https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/ssl_certificates?limit=100&offset=100' \
--header 'Authorization: Basic <credentials>'

Returns the SSL certificates for the install. If the install has no certificates, returns a 404 with an error message.

install_id
required
string format: uuid

ID of install

Example
294deacc-d8b8-4005-82c4-0727ba8ddde0
limit
integer
default: 100 <= 100

(Optional) The number of records to return

Example
100
offset
integer
0

(Optional) The first record of the result set to be retrieved

Example
100

Returns a list of Certificate objects, with a next_page_token if more results are available.

Media typeapplication/json
object
certificates
required
Array
object
id

The id of the certificate

integer
account

The account name of the owner of the certificate

string
auto_renew

Whether auto renew is enabled (true) or disabled (false)

boolean
auth_file

The auth file for the certificate

string
approver_email

The approver email for the certificate

string
common_name

The common name for the domain

string
cancel_time

The time when the certificate was cancelled

string
cert_source

The source of the certificate

string
Allowed values: CERT_SOURCE_UNSPECIFIED THIRD_PARTY LETS_ENCRYPT SELF_SIGNED
ordered_time

The time when the certificate was ordered

string
wildcard

A boolean flag that indicates if the certificate is for a wildcard domain

boolean
domains

A list of domains for the certificate

Array<string>
status

The current status of the certificate

string
Allowed values: SSL_STATE_UNSPECIFIED ENABLED DISABLED EXPIRED CANCELED REJECTED SUBMITTED
approved_time

The time the certificate was approved

string
expires_time

The time when the certificate expires

string
serial_number

The Certificate Serial Number as defined in the X.509 standard. Presented as a hexadecimal string.

string
next_page_token

A token to retrieve the next page of results, if available.

string
Example
{
"certificates": [
{
"account": "myaccountname",
"common_name": "customdomain.com",
"cert_source": "CERT_SOURCE_UNSPECIFIED",
"domains": [
"customdomain.com",
"www.customdomain.com"
],
"status": "SSL_STATE_UNSPECIFIED",
"serial_number": "18F662FB207C19E7841E8F41E6771BEE"
}
],
"next_page_token": "1"
}

Bad Request

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid request.",
"errors": [
{
"resource": "Resource",
"field": "field_name",
"type": "invalid_value",
"code": "invalid",
"message": "The value is invalid."
}
]
}

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

No SSL certificates found

Media typeapplication/json
object
message
required

Error message indicating no SSL certificates were found

string
Example
{
"message": "No SSL certs found for environment 'testinstall'"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable